#define CB_LOCKED       0       /* lock set */
#define CB_LOCKERR      1       /* lock set error */
#define CB_ALRLOCKED    2       /* lock setting skipped, set already */
#define CB_UNLOCKED     3       /* unlocked */
#define CB_UNLOCKERR    4       /* unlocking error */
#define CB_ALRUNLOCKED  5       /* unlock skipped, not locked */

int
initEmptyCache ();

int
cacheIsEmpty ();

int
tryCacheLock (struct mlfiPriv *);

int
tryCacheUnlock (struct mlfiPriv *);

void
purgeCache ();

void
getCache ();

struct mcCache *
seekCache (struct mlfiPriv *, char *);

int
extendCache (char *, struct mlfiPriv *, int);

struct mcCache *
purgeCacheElem (struct mcCache *, int *);

int
copyStuff (struct mlfiPriv *, struct mcCache *);
